> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List position offsets

> Returns all active position offsets

<Tabs groupId="programming-language">
  <Tab value="Typescript" title="TS/JS">
    ```js theme={null}
    const positionOffsetsService = new PositionOffsetsService(client);

    positionOffsetsService.listPositionOffsets().then(async (response) => {
        console.log('Position Offsets: ', response);
    })
    ```

    For more information, please visit the [INTX TS SDK](https://github.com/coinbase-samples/intx-sdk-ts).
  </Tab>
</Tabs>


## OpenAPI

````yaml GET /api/v1/position-offsets
openapi: 3.0.3
info:
  title: REST API
  description: >
    # Welcome to Coinbase INTX API

    ## Introduction

    The INTX APIs allow institutions to trade and manage orders on the
    International Exchange. The following API pages detail various REST API
    endpoints we offer.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Quickstart](/international-exchange/introduction/quickstart)

    -
    [Overview](/api-reference/international-exchange-api/rest-api/introduction)

    -
    [Authentication](/api-reference/international-exchange-api/rest-api/authentication)

    - [Rate Limits](/international-exchange/introduction/rate-limits-overview)

    ## FIX API

    - [FIX API reference](/international-exchange/fix-api/fix-api-overview)

    ## WebSocket API

    - [WebSocket API
    reference](/international-exchange/websocket-feed/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.international.coinbase.com
security: []
paths:
  /api/v1/position-offsets:
    get:
      tags:
        - Position Offsets
      summary: List position offsets
      description: Returns all active position offsets
      operationId: getPositionOffsets
      responses:
        '200':
          description: Position offsets list
          content:
            application/json:
              schema:
                type: object
                properties:
                  position_offsets:
                    type: array
                    items:
                      $ref: '#/components/schemas/InstrumentPositionOffsetPair_v1'
components:
  schemas:
    InstrumentPositionOffsetPair_v1:
      type: object
      properties:
        primary_instrument_id:
          description: The unique identifier of the primary instrument
          type: string
          example: 14thr7ft-1-0
        secondary_instrument_id:
          description: The unique identifier of the secondary instrument
          type: string
          example: 31bpa1qz-1-1
        offset:
          description: The offset value for the pair
          type: string
          example: 0.02

````